/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data Agents Common: Glite Types
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: glite-types.h,v 1.4 2007/04/24 09:15:47 szamsu Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_AGENTS_COMMON_GLITE_TYPES_H_
#define GLITE_DATA_AGENTS_COMMON_GLITE_TYPES_H_

#include <boost/cstdint.hpp>

namespace glite {
namespace data  {
namespace agents{

#ifndef BOOST_NO_INT64_T
/*
 * longlong Type
 */
typedef boost::int64_t longlong;
#else
/*
 * longlong Type
 */
#ifdef WIN32
typedef __int64   longlong;
#else 
typedef long long longlong;
#endif
#endif
    
} // End namespace agents
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_AGENTS_COMMON_GLITE_TYPES_H_
