/**
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.

 *
 *  Background: https://savannah.cern.ch/bugs/?37531
 *
 *  Authors: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 *  Version info: $Id: Se.h,v 1.1 2010/02/09 14:46:09 molnarzs Exp $
 *  Release: $Name:  $
 */
#ifndef GLITE_DATA_AGENTS_MODEL_SE_H_
#define GLITE_DATA_AGENTS_MODEL_SE_H_

#include <string>
#include "Property.h"

namespace glite   {
namespace data    {
namespace agents  {
namespace model   {

/**
 * Representation of the t_se table.
 * @stereotype TransferObject
 */
struct Se
{
    Se();

    Se(
        const std::string& par_endpoint,
        const std::string& par_se_type,
        const std::string& par_site,
        const std::string& par_name,
        const std::string& par_state,
        const std::string& par_version,
        const std::string& par_host
    );

    Property<std::string> endpoint;
    Property<std::string> se_type;
    Property<std::string> site;
    Property<std::string> name;
    Property<std::string> state;
    Property<std::string> version;
    Property<std::string> host;
};

} // End namespace model
} // End namespace agents
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_AGENTS_MODEL_SE_H_
