/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.

 *
 *  GLite Data Transfer Agents: OracleJobDAO Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *           Paolo Tedesco <paolo.tedesco@cern.ch>
 *           Zsolt Molnar <zsolt.molnar@cern.ch - http://www.zsoltmolnar.hu>
 *  Version info: $Id: OracleSeDAO.h,v 1.1 2010/02/09 14:31:01 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_AGENTS_DAO_ORACLE_ORACLESEDAO_H_
#define GLITE_DATA_AGENTS_DAO_ORACLE_ORACLESEDAO_H_

#include "glite/data/agents/model/Se.h"
#include "glite/data/agents/dao/oracle/OracleDAO.h"

#include <glite/data/config/service/Logger.hxx>

namespace glite   {
namespace data    {
namespace agents  {
namespace dao     {
namespace oracle  {

class OracleDAOContext;

/**
 * Oracle Data Access Object Helper for the Se class
 */
class OracleSeDAO : public OracleDAO
{
public:
    OracleSeDAO(OracleDAOContext& ctx, const std::string& category);
    virtual ~OracleSeDAO();

    /** Return the Job instance that correspond to the given statement */
    virtual model::Se* get(::oracle::occi::Statement& stmt);
};

} // End namespace oracle
} // End namespace dao
} // End namespace agents
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_AGENTS_DAO_ORACLE_ORACLESEDAO_H_
