/**
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.

 *
 *  Background: https://savannah.cern.ch/bugs/?37531
 *
 *  Authors: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 *  Version info: $Id: Se.cpp,v 1.1 2010/02/09 14:31:01 molnarzs Exp $
 *  Release: $Name:  $
 */

#include "glite/data/agents/model/Se.h"

namespace glite   {
namespace data    {
namespace agents  {
namespace model   {

Se::Se()
{
    // EMPTY
}

Se::Se(
        const std::string& par_endpoint,
        const std::string& par_se_type,
        const std::string& par_site,
        const std::string& par_name,
        const std::string& par_state,
        const std::string& par_version,
        const std::string& par_host
    ) :
    endpoint(par_endpoint),
    se_type(par_se_type),
    site(par_site),
    name(par_name),
    state(par_state),
    version(par_version),
    host(par_host)
{
    // EMPTY
}

} // End namespace model
} // End namespace agents
} // End namespace data
} // End namespace glite
