/**
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.

 *
 *  GLite Data Transfer Agents: FileDAO Test Case
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: DaoHelper.cpp,v 1.1 2010/02/09 14:31:02 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#include "DaoHelper.h"
#include "glite/data/agents/dao/DAOContextFactory.h"

namespace glite   {
namespace data    {
namespace agents  {
namespace dao     {
namespace oracle  {

boost::scoped_ptr<glite::data::agents::dao::DAOContext> DaoHelper::m_ctx;

void DaoHelper::dispose()
{
    m_ctx.reset();
}

glite::data::agents::dao::DAOContext& DaoHelper::ctx()
{
    if(0 == m_ctx.get()){
        m_ctx.reset(glite::data::agents::dao::DAOContextFactory::instance().create());
    }
    return *m_ctx;
}

} // End namespace oracle
} // End namespace dao
} // End namespace agenta
} // End namespace data
} // End namespace glite
