/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Authors: Zsolt.Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: OracleDaoTestCase.h,v 1.1 2010/02/09 14:31:02 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_AGENTS_TEST_DAO_ORACLE_ORACLEDAOTESTCASE_H_
#define GLITE_DATA_AGENTS_TEST_DAO_ORACLE_ORACLEDAOTESTCASE_H_

#include "cppunit_wrapper.h"

namespace glite   {
namespace data    {
namespace agents  {
namespace dao     {
namespace oracle  {

class OracleDaoTestCase : public CppUnit::TestCase
{
public:
    void setUp();
    void tearDown();

private:
    CPPUNIT_TEST_SUITE(OracleDaoTestCase);
        CPPUNIT_TEST(testQuery_1);
        CPPUNIT_TEST(testQuery_2);
        CPPUNIT_TEST(testTimeConversion_1);
        CPPUNIT_TEST(testTimeConversion_2);
        CPPUNIT_TEST(testLongLongConversion_1);
        CPPUNIT_TEST(testLongLongConversion_2);
        CPPUNIT_TEST(testBooleanConversion_1);
        CPPUNIT_TEST(testBooleanConversion_2);
        CPPUNIT_TEST(testClobConversion_1);
        CPPUNIT_TEST(testFunction_01);
        CPPUNIT_TEST(testFunction_02);
        CPPUNIT_TEST(testPackage_01);
        CPPUNIT_TEST(testPackage_02);
    CPPUNIT_TEST_SUITE_END();

    // Test Methods
    // -------------------------------------------------------------------------
    void testQuery_1();
    void testQuery_2();
    void testTimeConversion_1();
    void testTimeConversion_2();
    void testLongLongConversion_1();
    void testLongLongConversion_2();
    void testBooleanConversion_1();
    void testBooleanConversion_2();
    void testClobConversion_1();
    void testFunction_01();
    void testFunction_02();
    void testPackage_01();
    void testPackage_02();
};

} // End namespace oracle
} // End namespace dao
} // End namespace agenta
} // End namespace data
} // End namespace glite

#endif // #ifndef GLITE_DATA_AGENTS_TEST_DAO_ORACLE_ORACLEDAOTESTCASE_H_
